Bug 192164 - Review Request: perl-Socket6 - IPv6 related part of the C socket.h defines and structure manipulators
Review Request: perl-Socket6 - IPv6 related part of the C socket.h defines an...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-17 21:57 EDT by Jose Pedro Oliveira
Modified: 2008-12-15 16:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-22 17:36:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-05-17 21:57:05 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Socket6.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Socket6-0.19-2.src.rpm

Description:
This module supports getaddrinfo() and getnameinfo() to intend to
enable protocol independent programing.
If your environment supports IPv6, IPv6 related defines such as
AF_INET6 are included.
Comment 1 Jason Tibbitts 2006-05-19 15:26:40 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible; license text is included in the package.
* source files match upstream:
   35e4bb7e09ca3154a44bcaa8959780a2  Socket6-0.19.tar.gz
   35e4bb7e09ca3154a44bcaa8959780a2  Socket6-0.19.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* shared libraries are present, but internal to Perl so no need to call ldconfig.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=3,  0 wallclock secs ( 0.02 cusr +  0.01 csys =  0.03 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Jose Pedro Oliveira 2006-05-22 17:36:01 EDT
Thanks for the review.

Imported and built for FC-4, FC-5, and devel.
Comment 3 Robert Scheck 2008-12-14 07:57:22 EST
Package Change Request
======================
Package Name: perl-Socket6
Owners: robert wtogami jpo
Branches: EL-4
Comment 4 Dennis Gilmore 2008-12-15 15:59:55 EST
CVS Done

Note You need to log in before you can comment on or make changes to this bug.